Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1121375 - [abrt] glx-utils: parseOptInfoAttr(): glxgears killed by SIGABRT
Summary: [abrt] glx-utils: parseOptInfoAttr(): glxgears killed by SIGABRT
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa-demos
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:90e17f74bfefa36b9a660de8423...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-20 05:53 UTC by M. Kristall
Modified: 2021-04-29 19:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-29 19:41:20 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (16.28 KB, text/plain)
2014-07-20 05:53 UTC, M. Kristall
no flags Details
File: core_backtrace (6.21 KB, text/plain)
2014-07-20 05:53 UTC, M. Kristall
no flags Details
File: dso_list (2.86 KB, text/plain)
2014-07-20 05:53 UTC, M. Kristall
no flags Details
File: environ (2.88 KB, text/plain)
2014-07-20 05:53 UTC, M. Kristall
no flags Details
File: maps (14.37 KB, text/plain)
2014-07-20 05:53 UTC, M. Kristall
no flags Details
File: open_fds (241 bytes, text/plain)
2014-07-20 05:53 UTC, M. Kristall
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2014-07-20 05:53 UTC, M. Kristall
no flags Details
File: var_log_messages (186 bytes, text/plain)
2014-07-20 05:53 UTC, M. Kristall
no flags Details

Description M. Kristall 2014-07-20 05:53:02 UTC
Description of problem:
`vblank_mode="" glxgears` dumps core after useful "Fatal error in __driConfigOptions line 10, column 0: illegal default value for vblank_mode: ."
Probably not the best way to handle invalid/unexpected values…

Version-Release number of selected component:
glx-utils-8.1.0-4.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        glxgears
crash_function: parseOptInfoAttr
executable:     /usr/bin/glxgears
kernel:         3.15.5-200.fc20.x86_64
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 parseOptInfoAttr at xmlconfig.c:590
 #3 optInfoStartElem at xmlconfig.c:638
 #4 doContent at lib/xmlparse.c:2443
 #5 contentProcessor at lib/xmlparse.c:2105
 #6 doProlog at lib/xmlparse.c:4016
 #7 prologProcessor at lib/xmlparse.c:3739
 #8 XML_ParseBuffer at lib/xmlparse.c:1651
 #9 XML_Parse at lib/xmlparse.c:1617
 #10 driParseOptionInfo at xmlconfig.c:709
 #11 driCreateNewScreen2 at dri_util.c:183

Comment 1 M. Kristall 2014-07-20 05:53:04 UTC
Created attachment 919319 [details]
File: backtrace

Comment 2 M. Kristall 2014-07-20 05:53:05 UTC
Created attachment 919320 [details]
File: core_backtrace

Comment 3 M. Kristall 2014-07-20 05:53:06 UTC
Created attachment 919321 [details]
File: dso_list

Comment 4 M. Kristall 2014-07-20 05:53:07 UTC
Created attachment 919322 [details]
File: environ

Comment 5 M. Kristall 2014-07-20 05:53:08 UTC
Created attachment 919323 [details]
File: maps

Comment 6 M. Kristall 2014-07-20 05:53:08 UTC
Created attachment 919324 [details]
File: open_fds

Comment 7 M. Kristall 2014-07-20 05:53:09 UTC
Created attachment 919325 [details]
File: proc_pid_status

Comment 8 M. Kristall 2014-07-20 05:53:10 UTC
Created attachment 919326 [details]
File: var_log_messages

Comment 9 Fedora End Of Life 2015-05-29 12:25:04 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-11-04 11:40:50 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Igor Gnatenko 2016-07-07 09:10:23 UTC
This is very old bug, if you still can reproduce it - please reopen.

Comment 12 M. Kristall 2016-07-07 14:35:03 UTC
It's very easy to reproduce. It's also a completely trivial bug, which is why I imagine no one cares.

Comment 13 Jan Kurik 2016-07-26 04:24:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 14 Fedora End Of Life 2017-11-16 14:28:00 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Igor Raits 2018-08-02 15:35:04 UTC
Please test with latest updates and reopen if still reproducible.

Comment 16 M. Kristall 2018-08-02 16:20:18 UTC
Still reproducible, with exactly the same message even

Comment 17 Ben Cotton 2019-05-02 21:12:42 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Ben Cotton 2020-04-30 22:09:02 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Ben Cotton 2020-05-26 14:58:46 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 20 Ben Cotton 2021-04-29 15:44:09 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 21 M. Kristall 2021-04-29 19:41:20 UTC
This has been fixed at some point:
  $ vblank_mode="" glxgears
  illegal environment value for vblank_mode: "".  Ignoring.
  ATTENTION: option value of option vblank_mode ignored.
  Running synchronized to the vertical refresh.  The framerate should be
  approximately the same as the monitor refresh rate.
  316 frames in 5.0 seconds = 63.040 FPS


Note You need to log in before you can comment on or make changes to this bug.